package a1_solutionUsingSubclassing;

import java.awt.*;
import java.awt.event.*;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

public class A1Driver {
	public static void main(String[] args) throws IOException {

		Frame f = new Frame("A1");
		f.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}

			public void windowIconified(WindowEvent e) {
				System.out.println(e);
			}

		});

		String locationOfImageRelativeToWorkingDirectory = File.separator + "a1_solutionUsingSubclassing"
				+ File.separator + "image.jpg";
		
		A1ModelVariant1 a1Model = new A1ModelVariant1(locationOfImageRelativeToWorkingDirectory);

		f.add(new A1Canvas(a1Model), BorderLayout.CENTER);
		f.pack();
		// f.show();
		f.setVisible(true);

	}
}
